|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.commons.CmsTouch
public class CmsTouch
Provides methods for the touch resource(s) dialog.
The following files use this class:
| Field Summary | |
|---|---|
static int |
ACTION_TOUCH
Value for the action: touch. |
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_EXPIREDATE
Request parameter name for the expiredate. |
static String |
PARAM_NEWTIMESTAMP
Request parameter name for timestamp. |
static String |
PARAM_RECURSIVE
Request parameter name for the recursive flag. |
static String |
PARAM_RELEASEDATE
Request parameter name for the releasedate. |
static String |
RELEASE_EXPIRE_DEFAULT
default value for release or expire date. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsTouch(CmsJspActionElement jsp)
Public constructor. |
|
CmsTouch(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionTouch()
Performs the resource touching, will be called by the JSP page. |
String |
buildCheckRecursive()
Creates the "recursive" checkbox for touching subresources of folders. |
String |
getCurrentDateTime()
Returns the current date and time as String formatted in localized pattern. |
String |
getCurrentExpireDate()
Returns the current expiredate as String formatted in localized pattern. |
String |
getCurrentReleaseDate()
Returns the current releasedate as String formatted in localized pattern. |
String |
getParamExpiredate()
Returns the value of the new expiredate parameter, or null if this parameter was not provided. |
String |
getParamNewtimestamp()
Returns the value of the new timestamp parameter, or null if this parameter was not provided. |
String |
getParamRecursive()
Returns the value of the recursive parameter, or null if this parameter was not provided. |
String |
getParamReleasedate()
Returns the value of the new releasedate parameter, or null if this parameter was not provided. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
void |
setParamExpiredate(String value)
Sets the value of the releasedate expiredate. |
void |
setParamNewtimestamp(String value)
Sets the value of the new timestamp parameter. |
void |
setParamRecursive(String value)
Sets the value of the recursive parameter. |
void |
setParamReleasedate(String value)
Sets the value of the releasedate parameter. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final int ACTION_TOUCH
public static final String RELEASE_EXPIRE_DEFAULT
public static final String DIALOG_TYPE
public static final String PARAM_EXPIREDATE
public static final String PARAM_NEWTIMESTAMP
public static final String PARAM_RECURSIVE
public static final String PARAM_RELEASEDATE
| Constructor Detail |
|---|
public CmsTouch(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsTouch(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public void actionTouch()
throws JspException
JspException - if problems including sub-elements occurpublic String buildCheckRecursive()
public String getCurrentDateTime()
public String getCurrentExpireDate()
public String getCurrentReleaseDate()
public String getParamExpiredate()
The releasedate parameter stores the new expiredate as String.
public String getParamNewtimestamp()
The timestamp parameter stores the new timestamp as String.
public String getParamRecursive()
The recursive parameter on folders decides if all subresources of the folder should be touched, too.
public String getParamReleasedate()
The releasedate parameter stores the new releasedate as String.
public void setParamExpiredate(String value)
value - the value to setpublic void setParamNewtimestamp(String value)
value - the value to setpublic void setParamRecursive(String value)
value - the value to setpublic void setParamReleasedate(String value)
value - the value to set
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||